Skip to main content
GET
/
api
/
v1
/
trades
/
{id}
Retrieve a trade
curl --request GET \
  --url https://app.sure.am/api/v1/trades/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "date": "2023-12-25",
  "amount": "<string>",
  "currency": "<string>",
  "name": "<string>",
  "qty": 123,
  "price": "<string>",
  "account": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "account_type": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "investment_activity_label": "<string>",
  "security": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ticker": "<string>",
    "name": "<string>"
  },
  "category": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>"
  }
}

Authorizations

X-Api-Key
string
header
required

API key for authentication. Generate one from your account settings.

Path Parameters

id
string
required

Trade ID

Response

trade retrieved

id
string<uuid>
required
date
string<date>
required
amount
string
required

Formatted amount string

currency
string
required
name
string
required
qty
number<double>
required

Quantity of shares or units

price
string
required

Formatted price per unit

account
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
notes
string | null
investment_activity_label
string | null

Label for the investment activity type

security
object
category
object